---
title: "/buckets/{bucketId}/objects"
url: "https://developers.rest.rodeo/apis/storage/versions/8415f51a-292b-4046-b795-bc13ea7a48cf/operations/listObjects"
---

> Full API specification: https://developers.rest.rodeo/apis/storage/versions/8415f51a-292b-4046-b795-bc13ea7a48cf.md

# /buckets/{bucketId}/objects

`GET` `/buckets/{bucketId}/objects`

Operation ID: `listObjects`

Lists every object in the bucket.

## Path parameters

- `bucketId` (string, uuid, required) - The bucket id.

## Responses

- `200` - All objects in the bucket
- `401` - Missing or invalid bearer token
- `404` - No bucket with this id
- `405` - Method not allowed

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Storage API
  version: 1.0.0
servers:
  - url: https://api.rest.rodeo/storage/api/v1
    description: Production
paths:
  /buckets/{bucketId}/objects:
    get:
      operationId: listObjects
      summary: /buckets/{bucketId}/objects
      description: Lists every object in the bucket.
      parameters:
        - $ref: "#/components/parameters/BucketId"
      responses:
        "200":
          description: All objects in the bucket
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ObjectsList"
              examples:
                objects:
                  value:
                    objects:
                      - id: c7f2b6de-4b1a-4e0f-9b0d-1f6e4c8a2b3c
                        data:
                          name: manifest.json
                          size: 1024
        "401":
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: No bucket with this id
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "405":
          description: Method not allowed
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - bearerAuth: []
components:
  parameters:
    BucketId:
      name: bucketId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The bucket id.
  schemas:
    ObjectsList:
      type: object
      required:
        - objects
      additionalProperties: false
      properties:
        objects:
          type: array
          items:
            $ref: "#/components/schemas/StoredObject"
    Error:
      type: object
      required:
        - error
      additionalProperties: false
      properties:
        error:
          type: string
    StoredObject:
      type: object
      required:
        - id
        - data
      properties:
        id:
          type: string
          format: uuid
          description: The object id.
        data:
          description: The stored JSON value. May be any JSON type and any depth, as long
            as its stringified content does not exceed 1MB.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
```
